# https://github.com/opensearch-project/opensearch-go
%global goipath         github.com/opensearch-project/opensearch-go
Version:                1.0.0

%gometa

%global common_description %{expand:
opensearch-go is a community-driven, open source OpenSearch client licensed
under the Apache v2.0 License. 
For more information, see opensearch.org.}

%global golicenses    LICENSE

Name:           %{goname}
Release:        1%{?dist}
Summary:        opensearch-go client to OpenSearch
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/stretchr/testify/assert)
BuildRequires: golang(golang.org/x/crypto/ssh/terminal)
BuildRequires: golang(github.com/alecthomas/chroma/formatters)
BuildRequires: golang(github.com/spf13/cobra)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%gopkgfiles


%changelog
* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial Package

